11.11.2021

SUBSPACE 1.1.0 macOS Monterey Compatibility Update Released

Hannover, November 11th, 2021: Out now: SUBSPACE 1.1.0 for macOS. This free, macOS-only update to our essential reverb adds support for macOS 12.x Monterey, is recommended for all users of macOS 10.15 Catalina or newer, and is available nowApple Silicon is supported via Rosetta 2. This patch update is 64-bit only, and requires a minimum of macOS 10.15.x Catalina. Older macOS versions as well as 32-bit operation are still supported via previous versions of the plug-in, DL URLs for which are included with any download.

Download the SUBSPACE 1.1.0 update here...



  • rss
  • facebook
  • soundcloud
  • twitter
  • youtube
Our AI-Enhancer INTENSITY is on Sale!